# Class: Extension

## ProtoBuf.Reflect. Extension

#### new Extension(buildernon-null, parentnon-null, name, fieldnon-null)

  An extension (field).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `builder` | ProtoBuf.Builder | Builder reference
  `parent` | ProtoBuf.Reflect.T | Parent object
  `name` | string | Object name
  `field` | ProtoBuf.Reflect.Message.Field | Extension field

  Source:
    - ProtoBuf.js, line 3304

### Members

#### (non-null) field :ProtoBuf.Reflect.Message.Field

  Extended message field.

  ##### Type:

  - ProtoBuf.Reflect.Message.Field
  Source:
    - ProtoBuf.js, line 3312